diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/profiles.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/profiles.tsx
index 7e08d90cf..fbaeb97c6 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/profiles.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/profiles.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/projects.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/projects.tsx
index 3c7858999..7521782b7 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/projects.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/projects.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/publications.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/publications.tsx
index ba581eca3..bf6e4dedf 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/publications.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/publications.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/references.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/references.tsx
index c99841760..6a063eb1f 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/references.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/references.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/skills.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/skills.tsx
index 065441e5e..2908305ae 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/skills.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/skills.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/summary.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/summary.tsx
index c612cdbce..5c0492d8d 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/summary.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/summary.tsx
@@ -1,5 +1,5 @@
 import { RichInput } from "@/components/input/rich-input";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 
 export function SummarySectionBuilder() {
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/volunteer.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/volunteer.tsx
index 1233fb03e..d422d2e18 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/volunteer.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/sections/volunteer.tsx
@@ -3,7 +3,7 @@ import type z from "zod";
 import { Trans } from "@lingui/react/macro";
 import { AnimatePresence, Reorder } from "motion/react";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 import { SectionAddItemButton, SectionItem } from "../shared/section-item";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-base.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-base.tsx
index eab1084f1..c01b7f534 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-base.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-base.tsx
@@ -4,7 +4,7 @@ import { CaretDownIcon } from "@phosphor-icons/react";
 import { Accordion, AccordionContent, AccordionItem, AccordionTrigger } from "@reactive-resume/ui/components/accordion";
 import { Button } from "@reactive-resume/ui/components/button";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume } from "@/components/resume/use-resume";
+import { useCurrentResume } from "@/components/resume/builder-resume-draft";
 import { getSectionIcon, getSectionTitle } from "@/libs/resume/section";
 import { useSectionStore } from "../../../-store/section";
 import { SectionDropdownMenu } from "./section-menu";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-item.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-item.tsx
index 00b1dcb50..b8518a1db 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-item.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-item.tsx
@@ -36,7 +36,7 @@ import {
 	DropdownMenuTrigger,
 } from "@reactive-resume/ui/components/dropdown-menu";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { useDialogStore } from "@/dialogs/store";
 import { useConfirm } from "@/hooks/use-confirm";
 import {
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-menu.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-menu.tsx
index d7ed9d864..223941c0f 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-menu.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/left/shared/section-menu.tsx
@@ -24,7 +24,7 @@ import {
 	DropdownMenuSubTrigger,
 	DropdownMenuTrigger,
 } from "@reactive-resume/ui/components/dropdown-menu";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { useDialogStore } from "@/dialogs/store";
 import { useConfirm } from "@/hooks/use-confirm";
 import { usePrompt } from "@/hooks/use-prompt";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/design.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/design.tsx
index 505f02a77..2bf8152da 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/design.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/design.tsx
@@ -11,7 +11,7 @@ import { ColorPicker } from "@/components/input/color-picker";
 import { IconPicker } from "@/components/input/icon-picker";
 import { LevelTypeCombobox } from "@/components/level/combobox";
 import { LevelDisplay } from "@/components/level/display";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { useAppForm } from "@/libs/tanstack-form";
 import { SectionBase } from "../shared/section-base";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/export.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/export.tsx
index c4f61d0f0..d81be46b7 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/export.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/export.tsx
@@ -6,7 +6,7 @@ import { toast } from "sonner";
 import { Button } from "@reactive-resume/ui/components/button";
 import { downloadWithAnchor, generateFilename } from "@reactive-resume/utils/file";
 import { buildDocx } from "@reactive-resume/utils/resume/docx";
-import { useResume } from "@/components/resume/use-resume";
+import { useResume } from "@/components/resume/builder-resume-draft";
 import { createResumePdfBlob } from "@/libs/resume/pdf-document";
 import { SectionBase } from "../shared/section-base";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/index.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/index.tsx
index c6a1732c6..3014355d7 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/index.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/index.tsx
@@ -9,7 +9,7 @@ import {
 	InputGroupText,
 } from "@reactive-resume/ui/components/input-group";
 import { Slider } from "@reactive-resume/ui/components/slider";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { useAppForm } from "@/libs/tanstack-form";
 import { SectionBase } from "../../shared/section-base";
 import { LayoutPages } from "./pages";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/pages.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/pages.tsx
index 84d398a3a..ea740784e 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/pages.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/layout/pages.tsx
@@ -20,7 +20,7 @@ import { match } from "ts-pattern";
 import { Button } from "@reactive-resume/ui/components/button";
 import { Switch } from "@reactive-resume/ui/components/switch";
 import { cn } from "@reactive-resume/utils/style";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { templates } from "@/dialogs/resume/template/data";
 import { getSectionTitle } from "@/libs/resume/section";
 
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/notes.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/notes.tsx
index c11cf6628..ca5a31a95 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/notes.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/notes.tsx
@@ -1,6 +1,6 @@
 import { Trans } from "@lingui/react/macro";
 import { RichInput } from "@/components/input/rich-input";
-import { useCurrentResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useCurrentResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { SectionBase } from "../shared/section-base";
 
 export function NotesSectionBuilder() {
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/page.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/page.tsx
index 174825acc..7953fb841 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/page.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/page.tsx
@@ -11,7 +11,7 @@ import {
 } from "@reactive-resume/ui/components/input-group";
 import { Switch } from "@reactive-resume/ui/components/switch";
 import { getLocaleOptions } from "@/components/locale/combobox";
-import { useResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { Combobox } from "@/components/ui/combobox";
 import { useAppForm } from "@/libs/tanstack-form";
 import { SectionBase } from "../shared/section-base";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/resume-analysis.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/resume-analysis.tsx
index 37fe68731..23fb647f1 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/resume-analysis.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/resume-analysis.tsx
@@ -10,7 +10,7 @@ import { useAIStore } from "@reactive-resume/ai/store";
 import { Alert, AlertDescription } from "@reactive-resume/ui/components/alert";
 import { Badge } from "@reactive-resume/ui/components/badge";
 import { Button } from "@reactive-resume/ui/components/button";
-import { useResume } from "@/components/resume/use-resume";
+import { useResume } from "@/components/resume/builder-resume-draft";
 import { getOrpcErrorMessage } from "@/libs/error-message";
 import { orpc } from "@/libs/orpc/client";
 import { SectionBase } from "../shared/section-base";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/sharing.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/sharing.tsx
index 29988a6b9..fb2a0a2cc 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/sharing.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/sharing.tsx
@@ -10,7 +10,7 @@ import { Button } from "@reactive-resume/ui/components/button";
 import { Input } from "@reactive-resume/ui/components/input";
 import { Label } from "@reactive-resume/ui/components/label";
 import { Switch } from "@reactive-resume/ui/components/switch";
-import { useCurrentResume, usePatchResume } from "@/components/resume/use-resume";
+import { useCurrentResume, usePatchResume } from "@/components/resume/builder-resume-draft";
 import { useConfirm } from "@/hooks/use-confirm";
 import { usePrompt } from "@/hooks/use-prompt";
 import { authClient } from "@/libs/auth/client";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/template.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/template.tsx
index d52d9c38a..8280fec3a 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/template.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/template.tsx
@@ -2,7 +2,7 @@ import { useLingui } from "@lingui/react";
 import { SwapIcon } from "@phosphor-icons/react";
 import { Badge } from "@reactive-resume/ui/components/badge";
 import { Button } from "@reactive-resume/ui/components/button";
-import { useCurrentResume } from "@/components/resume/use-resume";
+import { useCurrentResume } from "@/components/resume/builder-resume-draft";
 import { templates } from "@/dialogs/resume/template/data";
 import { useDialogStore } from "@/dialogs/store";
 import { SectionBase } from "../shared/section-base";
diff --git a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/typography.tsx b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/typography.tsx
index f7908a6b5..982b97319 100644
--- a/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/typography.tsx
+++ b/apps/web/src/routes/builder/$resumeId/-sidebar/right/sections/typography.tsx
@@ -10,7 +10,7 @@ import {
 	InputGroupText,
 } from "@reactive-resume/ui/components/input-group";
 import { Separator } from "@reactive-resume/ui/components/separator";
-import { useResume, useUpdateResumeData } from "@/components/resume/use-resume";
+import { useResume, useUpdateResumeData } from "@/components/resume/builder-resume-draft";
 import { FontFamilyCombobox, FontWeightCombobox, getNextWeights } from "@/components/typography/combobox";
 import { useAppForm } from "@/libs/tanstack-form";
 import { SectionBase } from "../shared/section-base";
diff --git a/apps/web/src/routes/builder/$resumeId/route.tsx b/apps/web/src/routes/builder/$resumeId/route.tsx
index 02713e175..078de0983 100644
--- a/apps/web/src/routes/builder/$resumeId/route.tsx
+++ b/apps/web/src/routes/builder/$resumeId/route.tsx
@@ -13,7 +13,7 @@ import {
 	useMergeResumeMetadata,
 	useResumeCleanup,
 	useResumeStore,
-} from "@/components/resume/use-resume";
+} from "@/components/resume/builder-resume-draft";
 import { useIsMobile } from "@/hooks/use-mobile";
 import { orpc } from "@/libs/orpc/client";
 import { BuilderHeader } from "./-components/header";
